package com.dgtis.dorm.manager.db.domain;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.time.LocalDateTime;

public class AlumniOrganize {
    private Integer id;

    private String organizeName;

    private String organizeType;

    private String organizeContent;

    private Integer organizeUserId;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    private Boolean isDelete;

    private String organizeMemo;

    private Integer authUserId;

    private Integer authStatus;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime authDate;

    private Integer modifyUserId;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime modifyDate;

    private Integer coverImage;

    private String url;

    private Integer weight;

    private String isRemove;//是否删除

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getOrganizeName() {
        return organizeName;
    }

    public void setOrganizeName(String organizeName) {
        this.organizeName = organizeName == null ? null : organizeName.trim();
    }

    public String getOrganizeType() {
        return organizeType;
    }

    public void setOrganizeType(String organizeType) {
        this.organizeType = organizeType == null ? null : organizeType.trim();
    }

    public Integer getOrganizeUserId() {
        return organizeUserId;
    }

    public void setOrganizeUserId(Integer organizeUserId) {
        this.organizeUserId = organizeUserId;
    }

    public LocalDateTime getCreateDate() {
        return createDate;
    }

    public void setCreateDate(LocalDateTime createDate) {
        this.createDate = createDate;
    }

    public Boolean getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Boolean isDelete) {
        this.isDelete = isDelete;
    }

    public String getOrganizeMemo() {
        return organizeMemo;
    }

    public void setOrganizeMemo(String organizeMemo) {
        this.organizeMemo = organizeMemo == null ? null : organizeMemo.trim();
    }

    public Integer getAuthUserId() {
        return authUserId;
    }

    public void setAuthUserId(Integer authUserId) {
        this.authUserId = authUserId;
    }

    public Integer getAuthStatus() {
        return authStatus;
    }

    public void setAuthStatus(Integer authStatus) {
        this.authStatus = authStatus;
    }

    public LocalDateTime getAuthDate() {
        return authDate;
    }

    public void setAuthDate(LocalDateTime authDate) {
        this.authDate = authDate;
    }

    public Integer getModifyUserId() {
        return modifyUserId;
    }

    public void setModifyUserId(Integer modifyUserId) {
        this.modifyUserId = modifyUserId;
    }

    public LocalDateTime getModifyDate() {
        return modifyDate;
    }

    public void setModifyDate(LocalDateTime modifyDate) {
        this.modifyDate = modifyDate;
    }

    public Integer getCoverImage() {
        return coverImage;
    }

    public void setCoverImage(Integer coverImage) {
        this.coverImage = coverImage;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public Integer getWeight() {
        return weight;
    }

    public void setWeight(Integer weight) {
        this.weight = weight;
    }

    public String getIsRemove() {
        return isRemove;
    }

    public void setIsRemove(String isRemove) {
        this.isRemove = isRemove;
    }

    public String getOrganizeContent() {
        return organizeContent;
    }

    public void setOrganizeContent(String organizeContent) {
        this.organizeContent = organizeContent;
    }
}